Name:      eclipse-eclemma
Version:   3.0.0
Release:   1%{?dist}
Summary:   Java code coverage tool plugin for Eclipse
License:   EPL and ASL 2.0
URL:       http://www.eclemma.org
Source0:   https://github.com/eclipse/eclemma/archive/v%{version}.tar.gz

BuildArch:        noarch
BuildRequires:    eclipse-pde >= 1:4.2.0
BuildRequires:    eclipse-swtbot
BuildRequires:    eclipse-license
BuildRequires:    jacoco >= 0.7.6
BuildRequires:    maven-local
BuildRequires:    tycho
BuildRequires:    maven-plugin-build-helper
BuildRequires:    maven-dependency-plugin

%description
EclEmma is a Java code coverage tool for Eclipse based on the EMMA Java
code coverage tool.  Features include launching from within the IDE,
coverage analysis summaries, and highlighting in Java source code
editors.

%prep
%setup -q -n eclemma-%{version}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

# Unnecessary plugins for RPM build
%pom_remove_plugin :jacoco-maven-plugin org.eclipse.eclemma.build/pom.xml

# Don't use jgit packaging extensions
%pom_xpath_remove 'pom:configuration/pom:sourceReferences' org.eclipse.eclemma.build
%pom_remove_dep 'org.eclipse.tycho.extras:tycho-sourceref-jgit' org.eclipse.eclemma.build

# Relax dep on jacoco
sed -i -e 's|0.7.9|0.7.8|g' org.eclipse.eclemma.{core,ui}/META-INF/MANIFEST.MF

%build
%mvn_build -j -f -- -Dimplicit-target

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc org.eclipse.eclemma.feature/about.html

%changelog
* Tue Aug 01 2017 Mat Booth <mat.booth@redhat.com> - 3.0.0-1
- Update to latest release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue May 30 2017 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.3.3-5
- Add missing build-requires on maven-dependency-plugin
- Remove unneeded requires on tycho-extras

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jun 14 2016 Alexander Kurtakov <akurtako@redhat.com> 2.3.3-3
- Fix build against latest jacoco.

* Wed May 04 2016 Mat Booth <mat.booth@redhat.com> - 2.3.3-2
- Patch to build against Neon

* Tue Feb 23 2016 Alexander Kurtakov <akurtako@redhat.com> 2.3.3-1
- Update to upstream 2.3.3 release.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 2.3.2-6
- Rebuild as an Eclipse p2 Droplet.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb  6 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.3.2-4
- Rebuild to generate missing OSGi auto-requires

* Fri Jan 23 2015 Mat Booth <mat.booth@redhat.com> - 2.3.2-3
- Patch to explicitly depend on hamcrest core in tests
- Fix files listed twice warning

* Thu Dec 4 2014 Alexander Kurtakov <akurtako@redhat.com> 2.3.2-2
- Drop useless BR on feclipse-maven-plugin.

* Tue Sep 30 2014 Alexander Kurtakov <akurtako@redhat.com> 2.3.2-1
- Update to upstream 2.3.2 release.

* Tue Jun 17 2014 Mat Booth <mat.booth@redhat.com> - 2.3.1-1
- Update to latest upstream release
- Patch to build against Luna
- Fix FTBFS rhbz #1106194

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 27 2014 Alexander Kurtakov <akurtako@redhat.com> 2.3.0-1
- Update to upstream 2.3.0.

* Fri Feb 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.2.1-4
- Relax version requirement on jacoco

* Fri Feb 21 2014 Alexander Kurtakov <akurtako@redhat.com> 2.2.1-3
- Change dependencies to new names and drop deps implied by other dependencies.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 20 2013 Krzysztof Daniel <kdaniel@redhat.com> 2.2.1-2
- Add missing BR.

* Thu Jun 20 2013 Krzysztof Daniel <kdaniel@redhat.com> 2.2.1-1
- Update to 2.2.1.

* Thu May 9 2013 Krzysztof Daniel <kdaniel@redhat.com> 2.2.1-0.1.gitecdb1c
- Update to latest upstream.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 10 2012 Krzysztof Daniel <kdaniel@redhat.com> 2.2.0-1
- Update to upstream 2.2.0.

* Wed Dec 5 2012 Krzysztof Daniel <kdaniel@redhat.com> 2.1.4-3
- Update dependency to asm4.

* Mon Sep 17 2012 Krzysztof Daniel <kdaniel@redhat.com> 2.1.4-2
- Specify BR/R jacoco.

* Tue Sep 11 2012 Krzysztof Daniel <kdaniel@redhat.com> 2.1.4-1
- Update to upstream 2.1.4.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jul 07 2012 Alexander Kurtakov <akurtako@redhat.com> 2.1.2-1
- Update to 2.1.2 upstream release.

* Thu May 10 2012 Alexander Kurtakov <akurtako@redhat.com> 2.1.1-2
- Don't bundle jacoco and objectweb-asm.
- Drop all emma mentions.

* Mon May 7 2012 Krzysztof Daniel <kdaniel@redhat.com> 2.1.1-1
- Update to upstream 2.1.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed May 11 2011 Alexander Kurtakov <akurtako@redhat.com> 1.5.3-1
- Update to upstream 1.5.3.

* Wed Apr 27 2011 Alexander Kurtakov <akurtako@redhat.com> 1.5.2-1
- Update to upstream 1.5.2.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 9 2010 Alexander Kurtakov <akurtako@redhat.com> 1.5.1-1
- Update to 1.5.1.

* Tue Jul 13 2010 Severin Gehwolf <sgehwolf at, redhat.com> 1.5.0-2
- Push release so that tagging works

* Mon Jul 12 2010 Severin Gehwolf <sgehwolf@redhat.com> 1.5.0-1
- Update to upstream 1.5.0

* Thu Aug 20 2009 Alexander Kurtakov <akurtako@redhat.com> 1.4.2-1
- Update to upstream 1.4.2.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 15 2009 Alexander Kurtakov <akurtako@redhat.com> 1.4.1-1
- Update to new upstream version and updated patch1.

* Mon Mar 23 2009 Alexander Kurtakov <akurtako@redhat.com> 1.3.2-5
- Rebuild to not ship p2 context.xml.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 03 2008 Andrew Overholt <overholt@redhat.com> 1.3.2-3
- More updates for review (rhbz#444512).
- Add text of Apache license to cover annotations example.

* Wed Dec 03 2008 Andrew Overholt <overholt@redhat.com> 1.3.2-2
- Updates for review (rhbz#444512).

* Thu Oct 16 2008 Alexander Kurtakov <akurtako@redhat.com> 1.3.2-1
- Update to 1.3.2.
- Fix build for eclipse 3.4.

* Fri Apr 25 2008 Andrew Overholt <overholt@redhat.com> 1.3.1-1
- Initial package.
